Skip to main content
POST
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

case_id
string<uuid>
required
workspace_id
string<uuid>
required

Body

application/json

Create payload for case duration records.

definition_id
string<uuid>
required

Identifier of the case duration definition generating this duration.

start_event_id
string<uuid> | null

Case event that started the duration, if available.

end_event_id
string<uuid> | null

Case event that ended the duration, if available.

started_at
string<date-time> | null

Timestamp when the duration began.

ended_at
string<date-time> | null

Timestamp when the duration ended.

duration
string<duration> | null

Total elapsed time between start and end timestamps.

Response

Successful Response

Read model for case duration records.

definition_id
string<uuid>
required

Identifier of the case duration definition generating this duration.

id
string<uuid>
required
case_id
string<uuid>
required
start_event_id
string<uuid> | null

Case event that started the duration, if available.

end_event_id
string<uuid> | null

Case event that ended the duration, if available.

started_at
string<date-time> | null

Timestamp when the duration began.

ended_at
string<date-time> | null

Timestamp when the duration ended.

duration
string<duration> | null

Total elapsed time between start and end timestamps.